Bug 258913 - devel/maven3: deprecate and remove port
Summary: devel/maven3: deprecate and remove port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Daniel Engberg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-04 09:57 UTC by Michael Osipov
Modified: 2021-10-12 08:41 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (wombat)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2021-10-04 09:57:23 UTC
Maven 3.0.5 is long dead, the 3.0.x is not supported also. Deprecate until 2022-01-15 and remove afterwards.

I have released Maven 3.8.3 today and am a Maven PMC member.
Comment 1 commit-hook freebsd_committer 2021-10-12 08:40:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=53d5ddce9ef9c78366d7ce185cac7e1fb648cfed

commit 53d5ddce9ef9c78366d7ce185cac7e1fb648cfed
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2021-10-12 08:07:01 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2021-10-12 08:39:18 +0000

    devel/maven3: Deprecate and set expiration date to 2022-01-15

    PR:             258913
    Reported by:    Michael Osipov (upstream)
    Approved by:    rene (portmgr blanket), arrowd (mentor)
    Differential Revision:  https://reviews.freebsd.org/D32407

 devel/maven3/Makefile | 3 +++
 1 file changed, 3 insertions(+)
Comment 2 Daniel Engberg freebsd_committer 2021-10-12 08:41:07 UTC
Committed, thanks for the heads up!